$btn-icon-color: rgb(117, 125, 141);
$btn-border-color: rgb(87, 93, 108);
$btn-square-border-color: #4fe4ed;
.btn {
  background-color: transparent;
  color: rgb(255, 255, 255);
  border: 0px;
  border-radius: 10px;
  padding: 5px 10px;
  &[disabled] {
    pointer-events: none;
    opacity: .8;
    background-color: $primaryColor-light;
    border: 0px;
  }
  &.uppercase {
    text-transform: uppercase;
  }
  &:not(.plain):not(.flat):not(.square):not([disabled]) {
    border: 1px solid $btn-border-color;
  }
  &.flat {
    background-color: rgb(40, 51, 73);
    color: rgb(255, 255, 255);
    border-radius: 8px;
  }
  &.round {
    border-radius: 20px;
  }
  &.noPadding {
    padding: 0px;
  }
  &.icon {
    padding: 5px;
    width: 30px;
    height: 30px;
    display: flex;
    justify-content: center;
    align-items: center;
  }
  &.square {
    border-radius: 4px;
    text-transform: uppercase;
    font-size: .8rem;
    padding: $paddingMini/2 + 2 $paddingDefault + 2;
    &:not([disabled]) {
      padding: $paddingMini/2 $paddingDefault;
      border: 2px solid $btn-square-border-color;
    }
  }
  svg {
    stroke: $btn-icon-color;
    fill: $btn-icon-color;
  }
}

button {
  outline: none;
  touch-action: manipulation;
  &:focus {
    outline: none;
  }
}

.flat {
  &_btn {
    background-color: #263145;
    border-radius: 6px;
    border: 1px solid #3f475a;
    color: #757d8d;
    font-size: .625rem;
    //padding: $paddingMini / 2 $paddingMini;
    text-transform: uppercase;
    min-height: 31px;
    margin: 2px 5px;
    box-shadow: 4px 6px 11px 0px rgba(0, 0, 0, 0.4);
    transition: $transitionTime all ease-in;
    &.active {
      color: #02aab4;
      background-color: #202b3f;
      box-shadow: 0px 0px 0px 0px rgba(0, 0, 0, 0.4);
    }
    &.disabled {
      box-shadow: 0px 0px 0px 0px rgba(0, 0, 0, 0.4);
      opacity: .5;
    }
    &-dark {
      &.active {
        background-color: #18202f;
      }
    }
    &-icon {
      min-width: 0px;
      background-color: #283348;
      padding: 0px;
    }
  }
}

.s {
  &_btn {
    width: 42px;
    height: 40px;
    background-color: transparent;
    border-radius: 10px;
    padding: 8px;
    border: 1px solid #6a707e;
    transition: background-color $transitionTime ease-in;
    &-container {
      margin: 0px $marginMini / 2;
      &:first-child {
        margin-left: 0px;
      }
      &:last-child {
        margin-right: 0px;
      }
    }
    &-active {
      background-color: #1e293f;
    }
    &-icon {
      max-width: 100%;
      max-height: 100%;
      vertical-align: middle;
    }
  }
}
